Skip to main content
DELETE
/
api
/
v2
/
public
/
application
/
event
/
:event_id
Delete event
curl --request DELETE \
  --url https://api.gocobalt.io/api/v2/public/application/event/:event_id \
  --header 'x-api-key: <api-key>'
[
    {
        "_id": "64c8d0f92f6f5ad7ce6b4a6a",
        "name": "Delete Contact",
        "response": [
            {
                "key": "contact_id",
                "type": "text"
            },
            {
                "key": "app_contact_id",
                "type": "text"
            }
        ],
        "raw_response": "{\"contact_id\":\"64e4742936ee94ac84be2d35\",\"app_contact_id\":\"\"}"
    },
    {
        "_id": "64c8d1172f6f5ad7ce6b7462",
        "name": "Add Lead",
        "response": [
            {
                "key": "company",
                "type": "text"
            },
            {
                "key": "email",
                "type": "text"
            },
            {
                "key": "name",
                "type": "text"
            }
        ],
        "raw_response": "{\"company\":\"\",\"email\":\"\",\"name\":\"\"}"
    }
]
This API deletes a Refold event from your org’s app.

Request description

Path Parameters

event_id
string
required
Event Id. For Eg: 64c8d0e22f6f5ad7ce6b4a62

Response description

Returns an array of all remaining events in the org after deletion.
_id
string
Event Id
name
string
Name of the event
response
array
Array of response field objects derived from the event model
raw_response
string
Raw JSON string of the event payload
[
    {
        "_id": "64c8d0f92f6f5ad7ce6b4a6a",
        "name": "Delete Contact",
        "response": [
            {
                "key": "contact_id",
                "type": "text"
            },
            {
                "key": "app_contact_id",
                "type": "text"
            }
        ],
        "raw_response": "{\"contact_id\":\"64e4742936ee94ac84be2d35\",\"app_contact_id\":\"\"}"
    },
    {
        "_id": "64c8d1172f6f5ad7ce6b7462",
        "name": "Add Lead",
        "response": [
            {
                "key": "company",
                "type": "text"
            },
            {
                "key": "email",
                "type": "text"
            },
            {
                "key": "name",
                "type": "text"
            }
        ],
        "raw_response": "{\"company\":\"\",\"email\":\"\",\"name\":\"\"}"
    }
]